xn Namespace Reference

## Classes

class | Version
class | OutputMetaData
class | MapMetaData
class | Map
class | DepthMetaData
class | ImageMetaData
class | IRMetaData
class | AudioMetaData
class | SceneMetaData
class | NodeWrapper
class | NodeInfo
class | Query
class | NodeInfoList
class | Capability
class | ErrorStateCapability
class | GeneralIntCapability
class | ProductionNode
class | DeviceIdentificationCapability
class | Device
class | MirrorCapability
class | AlternativeViewPointCapability
class | FrameSyncCapability
class | Generator
class | Recorder
class | Player
class | CroppingCapability
class | AntiFlickerCapability
class | MapGenerator
class | UserPositionCapability
class | DepthGenerator
class | MockDepthGenerator
class | ImageGenerator
class | MockImageGenerator
class | IRGenerator
class | MockIRGenerator
class | GestureGenerator
class | SceneAnalyzer
class | HandTouchingFOVEdgeCapability
class | HandsGenerator
class | SkeletonCapability
class | PoseDetectionCapability
class | UserGenerator
class | AudioGenerator
class | MockAudioGenerator
class | MockRawGenerator
class | Codec
class | ScriptNode
class | EnumerationErrors
class | Context
class | Resolution
class | StateChangedCallbackTranslator
class | Module
class | ExtensionModule
class | ModuleExportedProductionNode
class | ModuleExtendedSerializationInterface
class | ModuleLockAwareInterface
class | ModuleErrorStateInterface
class | ModuleGeneralIntInterface
class | ModuleProductionNode
class | ModuleDeviceIdentificationInterface
class | ModuleDevice
class | ModuleMirrorInterface
class | ModuleAlternativeViewPointInterface
class | ModuleFrameSyncInterface
class | ModuleGenerator
class | ModuleNodeNotifications
class | ModuleRecorder
class | ModulePlayer
class | ModuleCroppingInterface
class | ModuleAntiFlickerInterface
class | ModuleMapGenerator
class | ModuleUserPositionInterface
class | ModuleDepthGenerator
class | ModuleImageGenerator
class | ModuleIRGenerator
class | ModuleGestureGenerator
class | ModuleSceneAnalyzer
class | ModuleHandTouchingFOVEdgeInterface
class | ModuleHandsGenerator
class | ModuleSkeletonInterface
class | ModulePoseDetectionInteface
class | ModuleUserGenerator
class | ModuleAudioGenerator
class | ModuleCodec
class | ModuleScriptNode

## Typedefs

typedef void(* | StateChangedHandler) (ProductionNode &node, void *pCookie)
typedef XnListT< XnModuleGetExportedInterfacePtr > | ExportedNodesList
typedef Map< XnDepthPixel > | DepthMap
typedef Map< XnUInt8 > | ImageMap
typedef Map< XnRGB24Pixel > | RGB24Map
typedef Map< XnGrayscale16Pixel > | Grayscale16Map
typedef Map< XnGrayscale8Pixel > | Grayscale8Map
typedef Map< XnIRPixel > | IRMap
typedef Map< XnLabel > | LabelMap

## Functions

void | GetVersion (XnVersion &Version)

## Detailed Description

NOTE: this file should never be compiled into OpenNI. It must always remain in this h-file only (to make sure nothing breaks when installing new OpenNI DLL). It is only provided as a syntactic sugar for exporting interfaces.

## Typedef Documentation

## ExportedNodesList

typedef XnListT<XnModuleGetExportedInterfacePtr> xn::ExportedNodesList

## Function Documentation

## GetVersion()

void xn::GetVersion | ( | XnVersion & | Version | ) |

inline